<script setup lang="ts">
import { useAuthStore } from '@/stores/auth'
import { ref } from 'vue'
import type { VForm } from 'vuetify/components'

const authStore = useAuthStore()
const refForm = ref<VForm | null>(null)
const form = ref(false)
const email = ref('Admin@email.com')
const password = ref('Pass@1234')

const onSubmit = async () => {
  const { valid } = await refForm.value!.validate()
  if (!valid) return
  authStore.login(email.value, password.value)
}
</script>

<template>
  <v-container class="background mx-auto" fluid>
    <v-img
      class="fullscreen background"
      :style="{ 'background-image': `url('/public/img/BG.png')` }"
      style="opacity: 0.9;"
      
    ></v-img>
    
    <v-card 
      class="mx-auto my-auto pa-5 rounded-xl"
      
      width="500"
      height="600"
      color="#FCF3EE"
      
      style="opacity: 0.96; "
    ><v-img class="mx-auto" :src="`./public/img/logoBrown.png`" max-height="250" max-width="250"></v-img>
      <v-card-title style="font-family: 'Kanit'; font-size: 30pt; color:#6C5D54 ;" class="text-center font-weight-bold ">
        <h5>Login</h5>
      </v-card-title>
      <v-row>
        <v-card-text width="500">
  
          <v-col class="mx-auto">
            <v-form ref="refForm" v-model="form" @submit.prevent="onSubmit">
              <v-text-field
                class="mx-auto"
                max-width="800"
                label="email"
                clearable
                variant="outlined"
                v-model="email"
                col
                :rules="[
                  (v) => !!v || 'Auth Name is required',
                  (v) => v.length >= 4 || 'Name must be more than or equal 4 characters'
                ]"
                required
              ></v-text-field>
              <br />
              <v-text-field
                class="mx-auto"
                label="Password"
                clearable
                variant="outlined"
                type="password"
                v-model="password"
                :rules="[
                  (v) => !!v || 'Password Name is required',
                  (v) => v.length >= 8 || 'Password must be more than or equal 8 characters'
                ]"
                required
              ></v-text-field>
              <br />
              <v-btn 
                :disabled="!form"
                block
                color="#C0997F"
                size="large"
                type="submit"
                variant="elevated"
                
                >Sign In
              </v-btn>
            </v-form>
          </v-col>
        </v-card-text>
      </v-row>
    </v-card>
  </v-container>
</template>
<style>
.background {
  position: relative;
  z-index: 1;
  background-size: cover;
}

.fullscreen {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  min-width: 100%;
  min-height: 100%;
  object-fit: cover;
  z-index: -1;
}
.sgb {
  color: rgb(255, 255, 255);
}
</style>
